class DateConfig {
  postContralHostUrl() {
    let currentLoginInfo = this.getLocalStorage();
    if (!currentLoginInfo) return;
    let postinfo = {
      currency: {
        unitCode: currentLoginInfo.unitCode, //上级单位编号
        hospitalCode: currentLoginInfo.hospitalCode //医院编号编号
      },
      allInfo: currentLoginInfo
    };
    return postinfo;
  }
  // 维保
  postImes() {
    let currentLoginInfo = this.getLocalStorage();
    if (!currentLoginInfo) return;
    let postinfo = {
      currency: {
        unitCode: currentLoginInfo.unitCode, //上级单位编号
        companyCode: currentLoginInfo.companyCode,
        hospitalCode: currentLoginInfo.hospitalCode, //医院编号编号
        userId: currentLoginInfo.id,
        roleCode: currentLoginInfo.sysIdentity,
        sysIdentity: currentLoginInfo.sysIdentity,
        roleName: currentLoginInfo.roleName,
        createPersonCode: currentLoginInfo.id,
        createPersonName: currentLoginInfo.name,
        userName: currentLoginInfo.name,
        userType: currentLoginInfo.type,
        jobNumber: currentLoginInfo.jobNumber,
        userTeamId: currentLoginInfo.officeCode,
        useOfficeId: currentLoginInfo.officeCode,
        officeCode: currentLoginInfo.officeCode,
        sysFlag: "imes"
      },
      allInfo: currentLoginInfo
    };
    if(currentLoginInfo.type=='1')postinfo.currency.userTeamId=currentLoginInfo.teamIds;//院内传teamIds
    return postinfo;
  }
  // 基础服务
  postIaastServer() {
    let currentLoginInfo = this.getLocalStorage();
    if (!currentLoginInfo) return;
    let postinfo = {
      currency: {
        unitCode: currentLoginInfo.unitCode, //上级单位编号
        hospitalCode: currentLoginInfo.hospitalCode //医院编号编号
      },
      allInfo: currentLoginInfo
    };
    return postinfo;
  }
  maintainPlan() {
    let currentLoginInfo = this.getLocalStorage();
    if (!currentLoginInfo) return;
    let postinfo = {
      currency: {
        unitCode: currentLoginInfo.unitCode, //登录用户id
        hospitalCode: currentLoginInfo.hospitalCode,
        sysIdentity: currentLoginInfo.sysIdentity,
        userId: currentLoginInfo.id,
        roleCode: currentLoginInfo.roleCode,
        userName: currentLoginInfo.name,
        moduleIdentity:currentLoginInfo.moduleIdentity,
        officeCode:currentLoginInfo.officeCode,
        userType: currentLoginInfo.type,
        sysFlag: "imes",
      },
      allInfo: currentLoginInfo
    };
    return postinfo;
  }
  // 审批、论证、投票
  approvalPublicParams() {
    let currentLoginInfo = this.getLocalStorage();
    if (!currentLoginInfo) return;
    let postinfo = {
      currency: {
        unitCode: currentLoginInfo.unitCode, //上级单位编号
        hospitalCode: currentLoginInfo.hospitalCode, //医院编号编号
        // userId: currentLoginInfo.id,
        userId: currentLoginInfo.userId,
        roleName: currentLoginInfo.roleName,
        roleCode: currentLoginInfo.roleCode,
        officeCode: currentLoginInfo.officeCode,
        sysIdentity: currentLoginInfo.sysIdentity,
        userName: currentLoginInfo.name,
        userType: currentLoginInfo.type,
        sysCome: 2,
        moduleIdentity: currentLoginInfo.moduleIdentity,
        officeId:currentLoginInfo.officeCode
      },
      allInfo: currentLoginInfo
    };
    return postinfo;
  }
  approvalPublicParamsLz() {
    let currentLoginInfo = this.getLocalStorage();
    if (!currentLoginInfo) return;
    let postinfo = {
      currency: {
        unitCode: currentLoginInfo.unitCode, //上级单位编号
        hospitalCode: currentLoginInfo.hospitalCode, //医院编号编号
        userId: currentLoginInfo.id,
        roleName: currentLoginInfo.roleName,
        roleCode: currentLoginInfo.roleCode,
        officeCode: currentLoginInfo.officeCode,
        sysIdentity: currentLoginInfo.sysIdentity,
        userName: currentLoginInfo.name,
        userType: currentLoginInfo.type,
        sysCome: 2,
        moduleIdentity: currentLoginInfo.moduleIdentity,
        officeId:currentLoginInfo.officeCode
      },
      allInfo: currentLoginInfo
    };
    return postinfo;
  }
  // 手动刷新缓存信息
  refreshCacheParams() {
    let currentLoginInfo = this.getLocalStorage();
    if (!currentLoginInfo) return;
    let postinfo = {
      currency: {
        id:currentLoginInfo.id,
        unitCode: currentLoginInfo.unitCode, //登录用户id
        hospitalCode: currentLoginInfo.hospitalCode,
        userId: currentLoginInfo.userId,
        type:currentLoginInfo.type
      },
      allInfo: currentLoginInfo
    };
    return postinfo;
  }
  // 获取localStorage信息
  getLocalStorage(){
    return JSON.parse(localStorage.getItem("loginInfo"));
  }
}
let dateConfig = new DateConfig();
export default dateConfig;
