import axios from "axios";
import { Toast } from "vant";
const qs = require("qs");
// 资产审批列表
function saveWorkflow(url, type) {
  let requestUrl = process.env.APPROVAl_ASSET;
  return function(params) {
    // 后期需要获取登录人的信息
    let baseInfo = JSON.parse(localStorage.getItem("loginInfo"));
    if (baseInfo) {
      params.unitCode = baseInfo.unitCode;
      params.hospitalCode = baseInfo.hospitalCode;
      params.userId = baseInfo.userId;
      params.systemCode = baseInfo.systemCode;
    }
    if (params.list) {
      let formData = new FormData();
      formData.append("list", params.list);
      return axios({
        method: "post",
        url: requestUrl + "workflow/" + url,
        data: formData,
        headers: {
          "Content-Type": "text/plain"
        }
      })
        .then(res => {
          return res.data;
        })
        .catch(error => {
          throw new Error(error);
        });
    } else {
      return axios({
        method: "post",
        url: requestUrl + "workflow/" + url,
        data: params,
        headers: {
          "Content-Type": "text/plain"
        }
      })
        .then(res => {
          return res.data;
        })
        .catch(error => {
          throw new Error(error);
        });
    }
  };
}

// 质控审批保存
function saveApproval(url, type) {
  let requestUrl = process.env.APPROVAl_ASSET;
  return function(params) {
    // 后期需要获取登录人的信息
    let baseInfo = JSON.parse(localStorage.getItem("loginInfo"));
    if (baseInfo) {
      params.unitCode = baseInfo.unitCode;
      params.hospitalCode = baseInfo.hospitalCode;
      params.userId = baseInfo.userId;
      params.userName = baseInfo.name;
      params.systemCode = "immas";
    }
    return axios({
      method: "post",
      url: requestUrl + "workflow/" + url,
      data: params,
      headers: {
        "Content-Type": "text/plain"
      }
    })
      .then(res => {
        return res.data;
      })
      .catch(error => {
        throw new Error(error);
      });
  };
}
// 质控审批列表 immas
function post(url, flag, getWay) {
  let urlPath = process.env.APPROVAl_ASSET + getWay;
  // let requestUrl = process.env.APPROVAl_ASSET;
  let baseInfo = JSON.parse(localStorage.getItem("loginInfo"));
  return function(params) {
    if (flag == 1) {
      params.unitCode = baseInfo.unitCode;
      params.hospitalCode = baseInfo.hospitalCode;
      params.userId = baseInfo.userId;
      params.systemCode = "immas";
      // params.systemCode ='imes';
      params.sysIdentity = baseInfo.sysIdentity;
      params.officeCode = baseInfo.officeCode;
      params.moduleIdentity = baseInfo.moduleIdentity;
      params.userName = baseInfo.name;
    }
    params.sysFlag = "imes";

    return axios
      .post(urlPath + url, qs.stringify(params))
      .then(res => {
        return res.data;
      })
      .catch(error => {});
  };
}
// 资产盘点
function postZc(url) {
  return function(params) {
    let requestUrl = process.env.APPROVAl_ASSET;
    let baseInfo = localStorage.getItem("loginInfo")
      ? JSON.parse(localStorage.getItem("loginInfo"))
      : {
          email: "",
          id: "5130afa0e10e4b2b8020200317102941",
          loginNum: 0,
          name: "白杰修改密码",
          password: "a7c192254231d0ee8781422f50741b6f52d937b2a93ba218aa375255",
          phone: "18613801967",
          qqCode: "",
          sessionId: "b458d5bfba1647fd9dfd879d888f5ea0",
          sourceType: "1",
          tempPassword:
            "YjQ1OGQ1YmZiYTE2NDdmZDlkZmQ4NzlkODg4ZjVlYTBjMmx1YjIxcGN6SXdNRGc9TmpJek5ETTFNemcyTkRNMU5qSTJOall5TmpFek1UTTJNelF6TnpZMk5qUXpPVFkwTmpZMk5ETTRNemN6T1RZME16Z3pPRE00TmpZek5UWTFOakV6TUE9PQ==",
          type: "1",
          userName: "ihbs_18613801967",
          userOffice: [
            {
              companyCode: "",
              companyName: "",
              deptCode: "04f6144d14924d609b3a88572652feb2",
              hospitalCode: "ZKZXYSYY",
              hospitalName: "医信公测医院",
              staffId: "10c1040121ee459daf8efa17535f9796",
              unitCode: "ZXYSZGDW",
              unitName: "在线演示主管单位"
            }
          ],
          wechat: "undefined"
        };
    if (baseInfo) {
      params.unitCode = baseInfo.unitCode;
      params.hospitalCode = baseInfo.hospitalCode;
      params.userId = baseInfo.id;
      params.userName = baseInfo.name;
      params.sysIdentity = baseInfo.sysIdentity;
      // params.appType = baseInfo.type;
      params.officeCode = baseInfo.officeCode;
      params.departmentAssetAdminCode = baseInfo.officeCode;
      params.staffId = baseInfo.id;
      params.currentUserDeptCode = baseInfo.officeCode;
      params.sysCome = "2";
      params.moduleIdentity = baseInfo.moduleIdentity;
    }
    return axios
      .post(requestUrl + "/iaastServer/" + url, qs.stringify(params))
      .then(res => {
        return res.data;
      })
      .catch(error => {
        throw new Error(error);
      });
  };
}
function save(url) {
  return function(params) {
      let baseInfo = JSON.parse(localStorage.getItem("loginInfo"));
      if (baseInfo) {
          // params.unitCode = baseInfo.unitCode;
          // params.hospitalCode = baseInfo.hospitalCode;
          // params.userId = baseInfo.id;
          // params.userName = baseInfo.name;
          // params.roleCode = baseInfo.roleCode;
          // params.officeCode = baseInfo.companyCode ?
          //     baseInfo.companyCode :
          //     baseInfo.officeCode;
          // params.officeId = baseInfo.companyCode ?
          //     baseInfo.companyCode :
          //     baseInfo.officeCode;
          params.unitCode = baseInfo.unitCode;
          params.hospitalCode = baseInfo.hospitalCode;
          params.userId = baseInfo.id;
          params.userName = baseInfo.name;
          params.roleCode = baseInfo.roleCode;
          params.officeCode = baseInfo.officeCode
          params.sysIdentity = baseInfo.sysIdentity
              //维保1.4 修改添加参数  --->>>
              // params.departLevel = baseInfo.departLevel // 部门等级(1.物业公司 2.部门 3.班组 4.医院)
              // if (baseInfo.departLevel == '4') {
              //     params.officeId = baseInfo.officeCode; //用户所属部门id(当departLevel为4时,此参数必传)
              //     // 医院的部门或departLevel == '4'时，外委公司的班组
              // }
              // params.isBoss = baseInfo.isBoss; //是否负责人0. 是 1.否(departLevel不为4时,此参数必传)
              // params.companyCode = baseInfo.companyCode //公司编号(departLevel不为4时,此参数必传)
          params.deptCode = baseInfo.deptCode; // 部门编号(departLevel为2或3时,此参数必传)
          //外委公司的部门
          // if (baseInfo.departLevel == '3') {
          //     params.teamId = baseInfo.officeCode; //班组id(departLevel为3时,此参数必传)
          // }
          params.userType = baseInfo.type; //用户类型1. 院内用户 2.院外用户
      }
      params.sysFlag = 'imes'
      let formdata = new FormData();
      for (var item in params) {
          if (
              (item == "card" ||
                  item == "infomation" ||
                  item == "photo" ||
                  item == "file" || item == 'repairAttachmentUrlPc' || item == 'repairAttachmentUrl' || item == 'files') &&
              params[item] instanceof Array
          ) {
              if (params[item]) {
                  params[item].forEach(res => {
                      formdata.append(item, res);
                  });
              } else {
                  formdata.append(item, params[item] || "");
              }
          } else {
              formdata.append(item, params[item] || "");
          }
      }

      return axios
          .post(process.env.IUMS_HOST+"/imas/" + url, formdata)
          .then(res => {
              return res.data;
          })
          .catch(error => {
              store.commit("spinShowSet", false);
              return {
                  code: '503',
                  message: store.state.networkError
              }
          });
  };
}
function postOss(url) {
  return function(params) {
    let baseInfo = localStorage.getItem("loginInfo")
      ? JSON.parse(localStorage.getItem("loginInfo"))
      : "";
    let staffInfo = localStorage.getItem("staffInfo")
      ? JSON.parse(localStorage.getItem("staffInfo"))
      : "";
    if (baseInfo) {
      params.unitCode = baseInfo.unitCode;
      params.hospitalCode = baseInfo.hospitalCode;
      params.userId = baseInfo.id;
      params.userName = baseInfo.name;
      params.appType = 1;
      params.staffId = baseInfo.officeCode;
      params.currentUserDeptCode = baseInfo.officeCode;
      params.moduleIdentity = "IAAS_CORE";
    }
    return axios
      .post(process.env.NODE_ENV_OSS + url, qs.stringify(params))
      .then(res => {
        return res.data;
      })
      .catch(error => {
        throw new Error(error);
      });
  };
}
// 资产审批 // .post(urlPath + url, params)
function approvalPost(url, flag, getWay) {
  let urlPath = process.env.APPROVAl_ASSET + getWay;
  let baseInfo = JSON.parse(localStorage.getItem("loginInfo"));
  return function(params) {
    if (flag == 1) {
      params.unitCode = baseInfo.unitCode;
      params.hospitalCode = baseInfo.hospitalCode;
      params.userId = baseInfo.userId;
      params.systemCode = baseInfo.systemCode;
      params.userName = baseInfo.name;
    }
    return axios({
        method: "post",
        url: urlPath + url,
        data: params,
        headers: {
          "Content-Type": "text/plain"
        }
      })
      .then(res => {
        return res.data;
      })
      .catch(error => {});
  };
}
//全局请求响应配置
axios.interceptors.request.use(
  config => {
    return config;
  },
  error => {
    return Promise.reject(error);
  }
);
axios.interceptors.response.use(
  data => {
    if (data.data.code !== "200" && data.data.message) {
      Toast.fail(data.data.message);
    }
    return data;
  },

  error => {
    Toast.fail("接口似乎走丢了!");
    return Promise.reject(error);
  }
);
export { saveWorkflow, post, approvalPost, postOss, postZc, saveApproval,save };
