import Vue from "vue";
import Router from "vue-router";
// import utils from '@/centralControl/utils/utils.js';
// import HelloWorld from '@/components/HelloWorld'

Vue.use(Router);

export const constantRoutes = [
  {
    path: "/",
    name: "login",
    meta: {
      title: "登录"
    },
    component: () => import("@/view/login/index")
  },
  {
    path: "/home",
    name: "home",
    meta: {
      title: "工作台"
    },
    component: () => import("@/view/home/index")
  },
  {
    path: "/audit",
    name: "audit",
    meta: {
      title: "审核"
    },
    component: () => import("@/view/workbench/audit/index.vue")
  },
  {
    path: "/procurementDetail",
    name: "procurementDetail",
    meta: {
      title: "采购审批"
    },
    component: () => import("@/view/workbench/audit/components/Procurement.vue")
  },
  {
    path: "/argument",
    name: "argument",
    meta: {
      title: "采购论证清单"
    },
    component: () => import("@/view/workbench/argument/index.vue")
  },
  {
    path: "/votingList",
    name: "votingList",
    meta: {
      title: "采购过会清单"
    },
    component: () => import("@/view/workbench/vote/index.vue")
  },
  {
    path: "/mine",
    name: "mine",
    meta: {
      title: "我的"
    },
    component: () => import("@/view/mine/index.vue")
  },
  {
    path: "/messageSeting",
    name: "messageSeting",
    meta: {
      title: "消息设置"
    },
    component: () => import("@/view/mine/messageSeting/index.vue")
  },
  {
    path: "/aboutUs",
    name: "aboutUs",
    meta: {
      title: "关于我们"
    },
    component: () => import("@/view/mine/about/index.vue")
  },
  {
    path: "/personal",
    name: "personal",
    meta: {
      title: "个人资料"
    },
    component: () => import("@/view/mine/personal/index.vue")
  },
  {
    path: "/helpCenter",
    name: "helpCenter",
    meta: {
      title: "帮助中心"
    },
    component: () => import("@/view/mine/help/index.vue")
  },
  {
    path: "/myRepair",
    name: "myRepair",
    meta: {
      title: "我的报修"
    },
    component: () => import("@/view/mine/repair/index.vue")
  },
  {
    path: "/myRepairDetail",
    name: "myRepairDetail",
    meta: {
      title: "报修单详情"
    },
    component: () => import("@/view/mine/repair/repairDetail")
  },
  {
    path: "/myWorkRecord",
    name: "myWorkRecord",
    meta: {
      title: "工作记录"
    },
    component: () => import("@/view/mine/myWorkRecord")
  },
  {
    path: "/messages",
    name: "messages",
    meta: {
      title: "消息"
    },
    component: () => import("@/view/messages/index.vue")
  },
  {
    path: "/procurementArgument",
    name: "procurementArgument",
    meta: {
      title: "采购论证"
    },
    component: () =>
      import("@/view/workbench/argument/components/ProcurementArgument.vue")
  },
  {
    path: "/riskList",
    name: "riskList",
    meta: {
      title: "风险评估",
      keepAlive: true
    },
    component: () => import("@/view/workbench/riskSssessment/riskList")
  },
  {
    path: "/riskSure",
    name: "riskSure",
    meta: {
      title: "风险评估"
    },
    component: () => import("@/view/workbench/riskSssessment/riskSure")
  },
  {
    path: "/riskListDetail",
    name: "riskListDetail",
    meta: {
      title: "风险评估"
    },
    component: () => import("@/view/workbench/riskSssessment/riskListDetail")
  },
  {
    path: "/measureList",
    name: "measureList",
    meta: {
      title: "计量管理",
      keepAlive: true
    },
    component: () => import("@/view/workbench/measureManage/measureList")
  },
  {
    path: "/measureListDetail",
    name: "measureListDetail",
    meta: {
      title: "计量管理"
    },
    component: () => import("@/view/workbench/measureManage/measureListDetail")
  },
  {
    path: "/planList",
    name: "planList",
    meta: {
      title: "计划"
    },
    component: () => import("@/view/workbench/inspectionPlan/planList")
  },
  {
    path: "/planListDetail",
    name: "planListDetail",
    meta: {
      title: "计划"
    },
    component: () => import("@/view/workbench/inspectionPlan/planListDetail")
  },
  {
    path: "/recordRcDetail",
    name: "recordRcDetail",
    meta: {
      title: ""
    },
    component: () => import("@/view/workbench/inspectionPlan/recordRcDetail")
  },
  {
    path: "/boilerEquip",
    name: "boilerEquip",
    meta: {
      title: "设备"
    },
    component: () => import("@/view/workbench/inspectionPlan/boilerEquip")
  },
  {
    path: "/qualifiedDescription",
    name: "qualifiedDescription",
    meta: {
      title: "设备"
    },
    component: () =>
      import("@/view/workbench/inspectionPlan/qualifiedDescription")
  },
  {
    path: "/abnormal",
    name: "abnormal",
    meta: {
      title: "报修登记"
    },
    component: () => import("@/view/workbench/inspectionPlan/abnormal")
  },
  {
    path: "/equipmentList",
    name: "equipmentList",
    meta: {
      title: "设备列表"
    },
    component: () => import("@/view/workbench/equipment/equipmentList")
  },
  {
    path: "/equipSelect",
    name: "equipSelect",
    meta: {
      title: "设备筛选"
    },
    component: () => import("@/view/workbench/equipment/equipSelect")
  },
  {
    path: "/equipmentDetail",
    name: "equipmentDetail",
    meta: {
      title: "设备详情"
    },
    component: () => import("@/view/workbench/equipment/equipmentDetail")
  },
  {
    path: "/auditDetail",
    name: "auditDetail",
    meta: {
      title: "资产审批详情"
    },
    component: () => import("@/view/workbench/audit/components/AuditDetail.vue")
  },
  {
    path: "/qualityDetail",
    name: "qualityDetail",
    meta: {
      title: "质控审批详情"
    },
    component: () =>
      import("@/view/workbench/audit/components/QualityControl.vue")
  },
  {
    path: "/procurementDetail",
    name: "procurementDetail",
    meta: {
      title: "采购审批详情"
    },
    component: () => import("@/view/workbench/audit/components/Procurement.vue")
  },
  {
    path: "/addRepair",
    name: "AddRepair",
    meta: {
      title: "添加报修"
    },
    component: () => import("@/view/workbench/repair/addRepair")
  },
  {
    path: "/teamTask",
    name: "teamTask",
    meta: {
      title: "班组任务",
      keepAlive: true
    },
    component: () => import("@/view/workbench/taskManage/teamTask")
  },
  {
    path: "/dataStatisyics",
    name: "dataStatisyics",
    meta: {
      title: "故障统计"
    },
    component: () => import("@/view/workbench/dataStatisyics/faultStatistics")
  },
  {
    path: "/tobeExecuted",
    name: "tobeExecuted",
    meta: {
      title: "待执行",
      keepAlive: true
    },
    component: () => import("@/view/workbench/taskManage/tobeExecuted")
  },

  // 资产盘点
  // {
  //   path: '/checkList',
  //   name: 'checkList',
  //   component: () =>import('@/view/workbench/assetInventory/checkList'),
  //   meta: {
  //     title: '盘点任务列表'
  //   },
  // },
  {
    path: "/benefitAnalysix",
    name: "benefitAnalysix",
    meta: {
      title: "效益分析"
    },
    component: () => import("@/view/workbench/dataCount/benefitAnalysix")
  },
  {
    path: "/rankCount",
    name: "rankCount",
    meta: {
      title: "排行统计"
    },
    component: () => import("@/view/workbench/dataCount/rankCount")
  },
  {
    path: "/dataLook",
    name: "dataLook",
    meta: {
      title: "数据看板"
    },
    component: () => import("@/view/workbench/dataCount/dataLook")
  },
  {
    path: "/riskCount",
    name: "riskCount",
    meta: {
      title: "巡检统计"
    },
    component: () => import("@/view/workbench/dataCount/riskCount")
  },
  {
    path: "/assetsCheck",
    name: "assetsCheck",
    meta: {
      title: "资产盘点"
    },
    component: () => import("@/view/workbench/assetInventory/assetsCheck")
  },
  {
    path: "/checkListAsset",
    name: "checkListAsset",
    meta: {
      title: "盘点任务列表"
    },
    component: () => import("@/view/workbench/assetInventory/checkList")
  },
  {
    path: "/depList",
    name: "DepList",
    component: () => import("@/view/workbench/assetInventory/depList"),
    meta: {
      title: "科室列表"
    }
  },
  {
    path: "/checkDetails",
    name: "CheckDetails",
    component: () => import("@/view/workbench/assetInventory/checkDetails"),
    meta: {
      title: "盘点详情"
    }
  },
  {
    path: "/signature",
    name: "Signature",
    component: () => import("@/view/workbench/assetInventory/Signature"),
    meta: {
      title: "满意度评价"
    }
  },
  {
    path: "/assetsDetails",
    name: "AssetsDetails",
    component: () => import("@/view/workbench/assetInventory/assetsDetails"),
    meta: {
      title: "资产明细"
    }
  },
  {
    path: "/checkDispose",
    name: "CheckDispose",
    component: () => import("@/view/workbench/assetInventory/checkDispose"),
    meta: {
      title: "盘点处理"
    }
  },
  {
    path: "/maintainDetail",
    name: "maintainDetail",
    meta: {
      title: "保养详情"
    },
    component: () =>
      import("@/view/workbench/taskManage/teamTask/maintainDetail")
  },
  {
    path: "/repairDetail",
    name: "repairDetail",
    meta: {
      title: "维修详情"
    },
    component: () => import("@/view/workbench/taskManage/teamTask/repairDetail")
  },
  {
    path: "/register",
    name: "register",
    meta: {
      title: "挂单"
    },
    component: () => import("@/view/workbench/taskManage/tobeExecuted/register")
  },
  // 维修
  {
    path: "/completionRistration",
    name: "completionRistration",
    meta: {
      title: "完工登记",
      keepAlive: true
    },
    component: () =>
      import("@/view/workbench/taskManage/tobeExecuted/completionRistration")
  },
  // 保养
  {
    path: "/completionRistrationContain",
    name: "completionRistrationContain",
    meta: {
      title: "完工登记"
    },
    component: () =>
      import(
        "@/view/workbench/taskManage/tobeExecuted/completionRistrationContain"
      )
  },

  {
    path: "/addAccessories",
    name: "addAccessories",
    meta: {
      title: "添加配件"
    },
    component: () =>
      import("@/view/workbench/taskManage/teamTask/addAccessories")
  },
  {
    path: "/scanCode",
    name: "scanCode",
    meta: {
      title: "扫码"
    },
    component: () => import("@/view/scanCode/scanCode")
  },
  {
    path: "/workItem",
    name: "workItem",
    meta: {
      title: "工作事项"
    },
    component: () => import("@/view/scanCode/workItem")
  }
];
const getToken = () => localStorage.getItem("token");

const createRouter = () =>
  new Router({
    mode: "history",
    routes: constantRoutes
  });
const router = createRouter();
// 路由拦截
// router.beforeEach((to, from, next) => {
//   //  判断是否有token
//   const hasToken = getToken();
//   if (to.path == "/") {
//     next();
//   } else {
//     if (hasToken) {
//       try{
//         console.log(utils.isWechat(),'13213')
//       }catch(e){
//         console.log(e,'错误信息')
//       }
//       next();
//     } else {
//       /* 没有 token 的值 */
//       next(`/`);
//     }
//   }
// });

export default router;
